diff -ur boost_1_80_0/boost/unordered/detail/prime_fmod.hpp boost_1_80_1/boost/unordered/detail/prime_fmod.hpp
--- boost_1_80_0/boost/unordered/detail/prime_fmod.hpp	2022-08-03 22:47:16.000000000 -0400
+++ boost_1_80_1/boost/unordered/detail/prime_fmod.hpp	2022-12-14 01:45:27.368620146 -0500
@@ -117,9 +117,15 @@
 #if defined(BOOST_UNORDERED_FCA_HAS_64B_SIZE_T)
           std::size_t sizes_under_32bit = inv_sizes32_len;
           if (BOOST_LIKELY(size_index < sizes_under_32bit)) {
+#if defined(__MSVC_RUNTIME_CHECKS)
+            return fast_modulo(
+              boost::uint32_t(hash & 0xffffffffu) + boost::uint32_t(hash >> 32),
+              inv_sizes32[size_index], boost::uint32_t(sizes[size_index]));
+#else
             return fast_modulo(
               boost::uint32_t(hash) + boost::uint32_t(hash >> 32),
               inv_sizes32[size_index], boost::uint32_t(sizes[size_index]));
+#endif
           } else {
             return positions[size_index - sizes_under_32bit](hash);
           }
